UpdatePack removes Terminal Services client??

Questions about Update Pack making? Ask here.
Post Reply
OuTman
Posts: 171
Joined: Wed Jul 05, 2006 6:40 pm

UpdatePack removes Terminal Services client??

Post by OuTman » Mon Jan 12, 2009 7:58 pm

hi,

lookin' at this part of the entries.ini
[obsolete_files]
flash.ocx
flash9.ocx
mmc.chm
mstsc.chm
mstsc.exe
mstscax.dll
plugin.ocx
rdsktpw.chm
I know about the *.ocx which do are obsoletes.

But removal of Terminal Services client's files is really problematic... could someone please explain me reason of this?

cheers

User avatar
redxii
Posts: 395
Joined: Sun Dec 17, 2006 5:50 pm

Post by redxii » Mon Jan 12, 2009 8:36 pm

Those are old files, they aren't referenced in txtsetup.sif so they're just dead weight. Here's the lines for Remote Desktop 6 client (left is the i386 name, right what it's copied to the hard drive):

lhmstsc.chm = 100,,,,,,,21,0,0,mstsc.chm
lhmstsc.exe = 100,,,,,,,,3,3,mstsc.exe
lhmstsc.mui = 100,,,,,,_x,,3,3,mstsc.exe.mui
lhmstscx.dll = 100,,,,,,,,3,3,mstscax.dll
lhmstscx.mui = 100,,,,,,,,3,3,mstscax.dll.mui

the new mmc.chm
mmcS.chm = 100,,,,,,,21,0,0,mmc.chm

I thought Ryan was off his rocker at first too.

yumeyao
Moderator
Posts: 1718
Joined: Sun Aug 27, 2006 9:24 pm
Location: Taiyuan, Shanxi, PR China

Post by yumeyao » Mon Jan 12, 2009 10:18 pm

yeah.
and take care that RVMi 1.5.3 will mess things up with these entries.

http://siginetsoftware.com/forum/showthread.php?t=534
http://www.ryanvm.net/forum/viewtopic.php?t=6968
Image
My work list(Hosted by dumpydooby)

OuTman
Posts: 171
Joined: Wed Jul 05, 2006 6:40 pm

Post by OuTman » Mon Jan 12, 2009 11:20 pm

thank you guys for the quick and useful replies :wink:

I asked because I encountered the exact same problem with BartPE mentionned in yumeyao's above link

I was sure it was about BartPE itself because outdated (latest release 2006, SP2 era...) ; however, ran with only 2 errors, and easy to solve, I'm impressed :D

User avatar
ricktendo64
Posts: 3213
Joined: Mon May 22, 2006 12:27 am
Location: Honduras

Post by ricktendo64 » Tue Jan 13, 2009 12:37 am

Yea thanks, this helped me to understand too

User avatar
ENU_user
Posts: 1253
Joined: Wed Jan 25, 2006 1:42 pm

Post by ENU_user » Tue Jan 13, 2009 2:25 am

this one is an old bug for the [obsolete_files] section or [obsolete_entries]
these sections are not bullet proof with 1.5.4 as well

.. yet not necessary with "mstsc" . but with other specific entries in txtsetup.sif I don't have an example in front of me "but when using these sections its the addon maker's responsibility to double triple check that only the intended are removed with no other changes to the txtsetup.sif file..

eventually these bugs need to pop up in integrator related threads. as they usually do ..

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Sun Jan 18, 2009 8:53 pm

I've got 1.5.4b8.4 up as the recommended version to use at this point. I really wish that 1.5.4 could get wrapped up already, though. It's really dragging on...
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

Post Reply